/// <reference types="styled-components-react-native" />
import { BaseProps } from '../../types';
import { variantOverlay, positionOverlay, overlapOverlay } from '../types';
interface IOverlay extends BaseProps {
    overlap: overlapOverlay;
}
export declare const StyledOverlayContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, IOverlay, never>;
interface Props {
    variant: variantOverlay;
    positionOverlay: positionOverlay;
    overlap: overlapOverlay;
    isHidden: boolean;
}
export declare const StyledBadge: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, Props, never>;
export declare const StyledBadgeOverlayText: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, {}, never>;
export {};
