import React, { ReactNode } from 'react';
import PropTypes from 'prop-types';
export declare const CountryPropTypes: {
    flagIcon: PropTypes.Validator<string | number | boolean | {} | PropTypes.ReactElementLike | PropTypes.ReactNodeArray>;
    countryCode: PropTypes.Validator<string>;
    country: PropTypes.Validator<string>;
    isoCode: PropTypes.Validator<string>;
};
export interface CountryType {
    flagIcon: ReactNode;
    countryCode: string;
    country: string;
    isoCode: string;
}
interface Props {
    isOpen?: boolean;
    onRequestClose?: () => void;
    onSelect?: (country: CountryType) => void;
}
declare const CountryPickerModal: React.FC<Props>;
export default CountryPickerModal;
