import React, { ReactNode } from 'react';
import { BaseProps } from '../types';
interface Value {
    countryCode?: string;
    isoCode?: string;
    phone?: string;
}
interface Props extends BaseProps {
    label?: ReactNode;
    onChange?: (value: Value) => void;
    onFocus?: (value: Value) => void | undefined;
    onBlur?: (value: Value) => void | undefined;
    value?: Value;
    placeholder?: string;
    disabled?: boolean;
    error?: ReactNode;
    autoFocus?: boolean;
    [key: string]: unknown;
}
declare const InputPhone: React.ForwardRefExoticComponent<Pick<Props, keyof Props> & React.RefAttributes<any>>;
export default InputPhone;
