import React from 'react';
import { BaseProps } from '../types';
export declare type Value = 'like' | 'love' | 'haha' | 'wow' | 'sad' | 'angry';
export declare type Size = 'x-small' | 'small' | 'medium' | 'large';
export declare type Variant = 'shaded' | 'base';
interface Props extends BaseProps {
    value?: Value;
    showLabel?: boolean;
    onChange?: (state?: any) => void;
    variant?: Variant;
    readOnly?: boolean;
    size?: Size;
}
declare const LikeButton: React.FC<Props>;
export default LikeButton;
