/// <reference types="styled-components-react-native" />
import { BaseProps } from '../../types';
export declare type Variants = 'brand' | 'success' | 'warning' | 'error';
interface Props {
    variant?: Variants;
    value: number;
    max: number;
}
export declare const StyledContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, BaseProps, never>;
export declare const StyledBar: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, Props, never>;
interface ValueProps {
    size: number;
}
export declare const StyledValue: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, ValueProps, never>;
export declare const StyledIconContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const ValueContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const Footer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const FooterText: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, {}, never>;
export {};
