import React, { ReactNode } from 'react';
import { BaseProps } from '../types';
export declare type Sizes = 'large' | 'medium' | 'small';
export declare type Variants = 'brand' | 'success' | 'warning' | 'error';
interface Props extends BaseProps {
    variant?: Variants;
    icon?: ReactNode;
    size?: Sizes;
    value?: number;
}
/**
 * ProgressCircular component communicates to the user the progress of a particular process.
 */
declare const ProgressCircular: React.FC<Props>;
export default ProgressCircular;
