import { ReactNode } from 'react';
import { BaseProps } from '../types';
interface Option {
    label: string;
    value: string | null;
}
interface Props extends BaseProps {
    label?: ReactNode;
    onChange?: (value: string) => void | undefined;
    value?: string;
    error?: ReactNode;
    placeholder?: string;
    disabled?: boolean;
    options: Option[];
    [key: string]: unknown;
}
declare const Select: (props: Props) => JSX.Element;
export default Select;
