import React, { ReactNode } from 'react';
import { BaseProps } from '../types';
interface Props extends BaseProps {
    label?: ReactNode;
    onChange?: (value: boolean) => void;
    disabled?: boolean;
    value?: boolean;
    [key: string]: unknown;
}
/**
 * Switch toggle is a checkable input that communicates if an option is true or false
 */
declare const SwitchComponent: React.FC<Props>;
export default SwitchComponent;
