import { DefaultTheme } from 'styled-components';
import { ThemeProp } from '../../components/types';
export default function getTheme(props: {
    theme: ThemeProp;
} | {
    theme: DefaultTheme;
}): import("styled-components").RainbowTheme | {
    palette?: {
        brand?: string | undefined;
        success?: string | undefined;
        error?: string | undefined;
        warning?: string | undefined;
        mainBackground?: string | undefined;
    } | undefined;
};
