import { RainbowTheme, Palette } from 'styled-components';
export declare function normalizePaletteColors(palette: Palette): Palette;
export default function normalizeThemeColors(theme: RainbowTheme): {
    palette: {
        brand: import("styled-components").Color;
        success: import("styled-components").Color;
        error: import("styled-components").Color;
        warning: import("styled-components").Color;
        background: {
            main: string;
            highlight: string;
            secondary: string;
            disabled: string;
        };
        text: {
            main: string;
            title: string;
            header: string;
            label: string;
            disabled: string;
        };
        border: {
            main: string;
            divider: string;
            disabled: string;
        };
        getContrastText: (color: string) => string;
        isDark: boolean;
    };
    shadows: import("styled-components").Shadows;
};
