import { ReactNode } from 'react';
import PropTypes from 'prop-types';
import { ThemeProp } from '../types';
interface Props {
    children?: ReactNode;
    theme?: ThemeProp;
}
declare const Application: {
    (props: Props): JSX.Element;
    propTypes: {
        children: PropTypes.Requireable<object>;
        theme: PropTypes.Requireable<PropTypes.InferProps<{
            rainbow: PropTypes.Requireable<PropTypes.InferProps<{
                palette: PropTypes.Requireable<PropTypes.InferProps<{
                    brand: PropTypes.Requireable<string>;
                    success: PropTypes.Requireable<string>;
                    error: PropTypes.Requireable<string>;
                    warning: PropTypes.Requireable<string>;
                    mainBackground: PropTypes.Requireable<string>;
                }>>;
            }>>;
        }>>;
    };
    defaultProps: {
        children: undefined;
        theme: {};
    };
};
export default Application;
