import React from 'react';
import { BaseProps } from '../types';
import { AvatarSizes, AvatarProps } from './types';
interface AvatarGroupProps extends BaseProps {
    size?: AvatarSizes;
    avatars?: AvatarProps[];
    maxAvatars?: number;
    showCounter?: boolean;
}
/**
 * An AvatarGroup is an element that communicates to the user
 *  that there are many entities associated to an item.
 */
declare const AvatarGroup: React.FC<AvatarGroupProps>;
export default AvatarGroup;
