import React from 'react';
import { Image } from 'react-native';
export default [
    {
        flagIcon: <Image source={require('../flagImages/afghanistan.png')}/>,
        countryCode: '+93',
        country: 'Afghanistan',
        isoCode: 'af',
    },
    {
        flagIcon: <Image source={require('../flagImages/aland-islands.png')}/>,
        countryCode: '+358',
        country: 'Åland islands',
        isoCode: 'ax',
    },
    {
        flagIcon: <Image source={require('../flagImages/albania.png')}/>,
        countryCode: '+355',
        country: 'Albania',
        isoCode: 'al',
    },
    {
        flagIcon: <Image source={require('../flagImages/algeria.png')}/>,
        countryCode: '+213',
        country: 'Algeria',
        isoCode: 'dz',
    },
    {
        flagIcon: <Image source={require('../flagImages/american-samoa.png')}/>,
        countryCode: '+1',
        country: 'American Somoa',
        isoCode: 'as',
    },
    {
        flagIcon: <Image source={require('../flagImages/andorra.png')}/>,
        countryCode: '+376',
        country: 'Andorra',
        isoCode: 'ad',
    },
    {
        flagIcon: <Image source={require('../flagImages/angola.png')}/>,
        countryCode: '+244',
        country: 'Angola',
        isoCode: 'ao',
    },
    {
        flagIcon: <Image source={require('../flagImages/anguilla.png')}/>,
        countryCode: '+1',
        country: 'Anguilla',
        isoCode: 'ai',
    },
    {
        flagIcon: <Image source={require('../flagImages/antigua-and-barbuda.png')}/>,
        countryCode: '+1',
        country: 'Antigua and Barbuda',
        isoCode: 'ag',
    },
    {
        flagIcon: <Image source={require('../flagImages/argentina.png')}/>,
        countryCode: '+54',
        country: 'Argentina',
        isoCode: 'ar',
    },
    {
        flagIcon: <Image source={require('../flagImages/armenia.png')}/>,
        countryCode: '+374',
        country: 'Armenia',
        isoCode: 'am',
    },
    {
        flagIcon: <Image source={require('../flagImages/aruba.png')}/>,
        countryCode: '+297',
        country: 'Aruba',
        isoCode: 'aw',
    },
    {
        flagIcon: <Image source={require('../flagImages/Ascension_Island.png')}/>,
        countryCode: '+247',
        country: 'Ascension Island',
        isoCode: 'ac',
    },
    {
        flagIcon: <Image source={require('../flagImages/australia.png')}/>,
        countryCode: '+61',
        country: 'Australia',
        isoCode: 'au',
    },
    {
        flagIcon: <Image source={require('../flagImages/austria.png')}/>,
        countryCode: '+43',
        country: 'Austria',
        isoCode: 'at',
    },
    {
        flagIcon: <Image source={require('../flagImages/azerbaijan.png')}/>,
        countryCode: '+994',
        country: 'Azerbaijan',
        isoCode: 'az',
    },
    {
        flagIcon: <Image source={require('../flagImages/bahamas.png')}/>,
        countryCode: '+1',
        country: 'Bahamas',
        isoCode: 'bs',
    },
    {
        flagIcon: <Image source={require('../flagImages/bahrain.png')}/>,
        countryCode: '+973',
        country: 'Bahrain',
        isoCode: 'bh',
    },
    {
        flagIcon: <Image source={require('../flagImages/bangladesh.png')}/>,
        countryCode: '+880',
        country: 'Bangladesh',
        isoCode: 'bd',
    },
    {
        flagIcon: <Image source={require('../flagImages/barbados.png')}/>,
        countryCode: '+1',
        country: 'Barbados',
        isoCode: 'bb',
    },
    {
        flagIcon: <Image source={require('../flagImages/belarus.png')}/>,
        countryCode: '+375',
        country: 'Belarus',
        isoCode: 'by',
    },
    {
        flagIcon: <Image source={require('../flagImages/belgium.png')}/>,
        countryCode: '+32',
        country: 'Belgium',
        isoCode: 'be',
    },
    {
        flagIcon: <Image source={require('../flagImages/belize.png')}/>,
        countryCode: '+501',
        country: 'Belize',
        isoCode: 'bz',
    },
    {
        flagIcon: <Image source={require('../flagImages/benin.png')}/>,
        countryCode: '+229',
        country: 'Benin',
        isoCode: 'bj',
    },
    {
        flagIcon: <Image source={require('../flagImages/bermuda.png')}/>,
        countryCode: '+1',
        country: 'Bermuda',
        isoCode: 'bm',
    },
    {
        flagIcon: <Image source={require('../flagImages/bhutan.png')}/>,
        countryCode: '+975',
        country: 'Bhutan',
        isoCode: 'bt',
    },
    {
        flagIcon: <Image source={require('../flagImages/bolivia.png')}/>,
        countryCode: '+591',
        country: 'Bolivia',
        isoCode: 'bo',
    },
    {
        flagIcon: <Image source={require('../flagImages/bonaire.png')}/>,
        countryCode: '+599',
        country: 'Bonaire',
        isoCode: 'bq',
    },
    {
        flagIcon: <Image source={require('../flagImages/bosnia-and-herzegovina.png')}/>,
        countryCode: '+387',
        country: 'Bosnia and Herzegovina',
        isoCode: 'ba',
    },
    {
        flagIcon: <Image source={require('../flagImages/botswana.png')}/>,
        countryCode: '+267',
        country: 'Botswana',
        isoCode: 'bw',
    },
    {
        flagIcon: <Image source={require('../flagImages/Brazil.png')}/>,
        countryCode: '+55',
        country: 'Brazil',
        isoCode: 'br',
    },
    {
        flagIcon: <Image source={require('../flagImages/british-virgin-islands.png')}/>,
        countryCode: '+1',
        country: 'British Virgin Islands',
        isoCode: 'vg',
    },
    {
        flagIcon: <Image source={require('../flagImages/brunei.png')}/>,
        countryCode: '+673',
        country: 'Brunei',
        isoCode: 'bn',
    },
    {
        flagIcon: <Image source={require('../flagImages/bulgaria.png')}/>,
        countryCode: '+359',
        country: 'Bulgaria',
        isoCode: 'bg',
    },
    {
        flagIcon: <Image source={require('../flagImages/burkina-faso.png')}/>,
        countryCode: '+226',
        country: 'Burkina Faso',
        isoCode: 'bf',
    },
    {
        flagIcon: <Image source={require('../flagImages/burundi.png')}/>,
        countryCode: '+257',
        country: 'Burundi',
        isoCode: 'bi',
    },
    {
        flagIcon: <Image source={require('../flagImages/cambodia.png')}/>,
        countryCode: '+855',
        country: 'Cambodia',
        isoCode: 'kh',
    },
    {
        flagIcon: <Image source={require('../flagImages/cameroon.png')}/>,
        countryCode: '+237',
        country: 'Cameroon',
        isoCode: 'cm',
    },
    {
        flagIcon: <Image source={require('../flagImages/canada.png')}/>,
        countryCode: '+1',
        country: 'Canada',
        isoCode: 'ca',
    },
    {
        flagIcon: <Image source={require('../flagImages/cape-verde.png')}/>,
        countryCode: '+238',
        country: 'Cape Verde',
        isoCode: 'cv',
    },
    {
        flagIcon: <Image source={require('../flagImages/cayman-islands.png')}/>,
        countryCode: '+1',
        country: 'Cayman Islands',
        isoCode: 'ky',
    },
    {
        flagIcon: <Image source={require('../flagImages/central-african-republic.png')}/>,
        countryCode: '+236',
        country: 'Central African Republic',
        isoCode: 'cf',
    },
    {
        flagIcon: <Image source={require('../flagImages/chad.png')}/>,
        countryCode: '+235',
        country: 'Chad',
        isoCode: 'td',
    },
    {
        flagIcon: <Image source={require('../flagImages/chile.png')}/>,
        countryCode: '+56',
        country: 'Chile',
        isoCode: 'cl',
    },
    {
        flagIcon: <Image source={require('../flagImages/China.png')}/>,
        countryCode: '+86',
        country: 'China',
        isoCode: 'cn',
    },
    {
        flagIcon: <Image source={require('../flagImages/christmas-island.png')}/>,
        countryCode: '+61',
        country: 'Christmas Island',
        isoCode: 'cx',
    },
    {
        flagIcon: <Image source={require('../flagImages/cocos-island.png')}/>,
        countryCode: '+61',
        country: 'Cocos Island',
        isoCode: 'cc',
    },
    {
        flagIcon: <Image source={require('../flagImages/colombia.png')}/>,
        countryCode: '+57',
        country: 'Colombia',
        isoCode: 'co',
    },
    {
        flagIcon: <Image source={require('../flagImages/comoros.png')}/>,
        countryCode: '+269',
        country: 'Comoros',
        isoCode: 'km',
    },
    {
        flagIcon: <Image source={require('../flagImages/congo-brazzaville.png')}/>,
        countryCode: '+242',
        country: 'Congo - Brazzaville',
        isoCode: 'cg',
    },
    {
        flagIcon: <Image source={require('../flagImages/congo-kinshasa.png')}/>,
        countryCode: '+243',
        country: 'Congo - Kinshasa',
        isoCode: 'cd',
    },
    {
        flagIcon: <Image source={require('../flagImages/cook-islands.png')}/>,
        countryCode: '+682',
        country: 'Cook Islands',
        isoCode: 'ck',
    },
    {
        flagIcon: <Image source={require('../flagImages/costa-rica.png')}/>,
        countryCode: '+506',
        country: 'Costa Rica',
        isoCode: 'cr',
    },
    {
        flagIcon: <Image source={require('../flagImages/cote-d-lvoire.png')}/>,
        countryCode: '+225',
        country: 'Côte d’lvoire',
        isoCode: 'ci',
    },
    {
        flagIcon: <Image source={require('../flagImages/croatia.png')}/>,
        countryCode: '+385',
        country: 'Croatia',
        isoCode: 'hr',
    },
    {
        flagIcon: <Image source={require('../flagImages/cuba.png')}/>,
        countryCode: '+53',
        country: 'Cuba',
        isoCode: 'cu',
    },
    {
        flagIcon: <Image source={require('../flagImages/curacao.png')}/>,
        countryCode: '+599',
        country: 'Curaçao',
        isoCode: 'cw',
    },
    {
        flagIcon: <Image source={require('../flagImages/cyprus.png')}/>,
        countryCode: '+357',
        country: 'Cyprus',
        isoCode: 'cy',
    },
    {
        flagIcon: <Image source={require('../flagImages/czech-republic.png')}/>,
        countryCode: '+420',
        country: 'Czech Republic',
        isoCode: 'cz',
    },
    {
        flagIcon: <Image source={require('../flagImages/denmark.png')}/>,
        countryCode: '+45',
        country: 'Denmark',
        isoCode: 'dk',
    },
    {
        flagIcon: <Image source={require('../flagImages/djibouti.png')}/>,
        countryCode: '+253',
        country: 'Djibouti',
        isoCode: 'dj',
    },
    {
        flagIcon: <Image source={require('../flagImages/dominica.png')}/>,
        countryCode: '+1',
        country: 'Dominica',
        isoCode: 'dm',
    },
    {
        flagIcon: <Image source={require('../flagImages/dominican-republic.png')}/>,
        countryCode: '+1',
        country: 'Dominican Republic',
        isoCode: 'do',
    },
    {
        flagIcon: <Image source={require('../flagImages/ecuador.png')}/>,
        countryCode: '+593',
        country: 'Ecuador',
        isoCode: 'ec',
    },
    {
        flagIcon: <Image source={require('../flagImages/egypt.png')}/>,
        countryCode: '+20',
        country: 'Egypt',
        isoCode: 'eg',
    },
    {
        flagIcon: <Image source={require('../flagImages/el-salvador.png')}/>,
        countryCode: '+503',
        country: 'El Salvador',
        isoCode: 'sv',
    },
    {
        flagIcon: <Image source={require('../flagImages/equatorial-guinea.png')}/>,
        countryCode: '+240',
        country: 'Equatorial Guinea',
        isoCode: 'gq',
    },
    {
        flagIcon: <Image source={require('../flagImages/eritrea.png')}/>,
        countryCode: '+291',
        country: 'Eritrea',
        isoCode: 'er',
    },
    {
        flagIcon: <Image source={require('../flagImages/estonia.png')}/>,
        countryCode: '+372',
        country: 'Estonia',
        isoCode: 'ee',
    },
    {
        flagIcon: <Image source={require('../flagImages/ethiopia.png')}/>,
        countryCode: '+251',
        country: 'Ethiopia',
        isoCode: 'et',
    },
    {
        flagIcon: <Image source={require('../flagImages/falkland-islands.png')}/>,
        countryCode: '+500',
        country: 'Falkland Islands',
        isoCode: 'fk',
    },
    {
        flagIcon: <Image source={require('../flagImages/faroe-islands.png')}/>,
        countryCode: '+298',
        country: 'Faroe Islands',
        isoCode: 'fo',
    },
    {
        flagIcon: <Image source={require('../flagImages/fiji.png')}/>,
        countryCode: '+679',
        country: 'Fiji',
        isoCode: 'fj',
    },
    {
        flagIcon: <Image source={require('../flagImages/finland.png')}/>,
        countryCode: '+358',
        country: 'Finland',
        isoCode: 'fi',
    },
    {
        flagIcon: <Image source={require('../flagImages/France.png')}/>,
        countryCode: '+33',
        country: 'France',
        isoCode: 'fr',
    },
    {
        flagIcon: <Image source={require('../flagImages/french-guiana.png')}/>,
        countryCode: '+594',
        country: 'French Guiana',
        isoCode: 'gf',
    },
    {
        flagIcon: <Image source={require('../flagImages/french-polynesia.png')}/>,
        countryCode: '+689',
        country: 'French Polynesia',
        isoCode: 'pf',
    },
    {
        flagIcon: <Image source={require('../flagImages/gabon.png')}/>,
        countryCode: '+241',
        country: 'Gabon',
        isoCode: 'ga',
    },
    {
        flagIcon: <Image source={require('../flagImages/gambia.png')}/>,
        countryCode: '+220',
        country: 'Gambia',
        isoCode: 'gm',
    },
    {
        flagIcon: <Image source={require('../flagImages/georgia.png')}/>,
        countryCode: '+995',
        country: 'Georgia',
        isoCode: 'ge',
    },
    {
        flagIcon: <Image source={require('../flagImages/Germany.png')}/>,
        countryCode: '+49',
        country: 'Germany',
        isoCode: 'de',
    },
    {
        flagIcon: <Image source={require('../flagImages/ghana.png')}/>,
        countryCode: '+233',
        country: 'Ghana',
        isoCode: 'gh',
    },
    {
        flagIcon: <Image source={require('../flagImages/gibraltar.png')}/>,
        countryCode: '+350',
        country: 'Gibraltar',
        isoCode: 'gi',
    },
    {
        flagIcon: <Image source={require('../flagImages/greece.png')}/>,
        countryCode: '+30',
        country: 'Greece',
        isoCode: 'gr',
    },
    {
        flagIcon: <Image source={require('../flagImages/greenland.png')}/>,
        countryCode: '+299',
        country: 'Greenland',
        isoCode: 'gl',
    },
    {
        flagIcon: <Image source={require('../flagImages/grenada.png')}/>,
        countryCode: '+1',
        country: 'Grenada',
        isoCode: 'gd',
    },
    {
        flagIcon: <Image source={require('../flagImages/guadeloupe.png')}/>,
        countryCode: '+590',
        country: 'Guadeloupe',
        isoCode: 'gp',
    },
    {
        flagIcon: <Image source={require('../flagImages/guam.png')}/>,
        countryCode: '+1',
        country: 'Guam',
        isoCode: 'gu',
    },
    {
        flagIcon: <Image source={require('../flagImages/guatemala.png')}/>,
        countryCode: '+502',
        country: 'Guatemala',
        isoCode: 'gt',
    },
    {
        flagIcon: <Image source={require('../flagImages/guernsey.png')}/>,
        countryCode: '+44',
        country: 'Guernsey',
        isoCode: 'gg',
    },
    {
        flagIcon: <Image source={require('../flagImages/guinea.png')}/>,
        countryCode: '+224',
        country: 'Guinea',
        isoCode: 'gn',
    },
    {
        flagIcon: <Image source={require('../flagImages/guinea-bissau.png')}/>,
        countryCode: '+245',
        country: 'Guinea Bissau',
        isoCode: 'gw',
    },
    {
        flagIcon: <Image source={require('../flagImages/guyana.png')}/>,
        countryCode: '+592',
        country: 'Guyana',
        isoCode: 'gy',
    },
    {
        flagIcon: <Image source={require('../flagImages/haiti.png')}/>,
        countryCode: '+509',
        country: 'Haiti',
        isoCode: 'ht',
    },
    {
        flagIcon: <Image source={require('../flagImages/honduras.png')}/>,
        countryCode: '+504',
        country: 'Honduras',
        isoCode: 'hn',
    },
    {
        flagIcon: <Image source={require('../flagImages/hong-kong-sar-china.png')}/>,
        countryCode: '+852',
        country: 'Hong Kong SAR China',
        isoCode: 'hk',
    },
    {
        flagIcon: <Image source={require('../flagImages/hungary.png')}/>,
        countryCode: '+36',
        country: 'Hungary',
        isoCode: 'hu',
    },
    {
        flagIcon: <Image source={require('../flagImages/iceland.png')}/>,
        countryCode: '+354',
        country: 'Iceland',
        isoCode: 'is',
    },
    {
        flagIcon: <Image source={require('../flagImages/india.png')}/>,
        countryCode: '+91',
        country: 'India',
        isoCode: 'in',
    },
    {
        flagIcon: <Image source={require('../flagImages/indonesia.png')}/>,
        countryCode: '+62',
        country: 'Indonesia',
        isoCode: 'id',
    },
    {
        flagIcon: <Image source={require('../flagImages/iran.png')}/>,
        countryCode: '+98',
        country: 'Iran',
        isoCode: 'ir',
    },
    {
        flagIcon: <Image source={require('../flagImages/iraq.png')}/>,
        countryCode: '+964',
        country: 'Iraq',
        isoCode: 'iq',
    },
    {
        flagIcon: <Image source={require('../flagImages/ireland.png')}/>,
        countryCode: '+353',
        country: 'Ireland',
        isoCode: 'ie',
    },
    {
        flagIcon: <Image source={require('../flagImages/isle-of-man.png')}/>,
        countryCode: '+44',
        country: 'Isle of Man',
        isoCode: 'im',
    },
    {
        flagIcon: <Image source={require('../flagImages/israel.png')}/>,
        countryCode: '+972',
        country: 'Israel',
        isoCode: 'il',
    },
    {
        flagIcon: <Image source={require('../flagImages/Italy.png')}/>,
        countryCode: '+39',
        country: 'Italy',
        isoCode: 'it',
    },
    {
        flagIcon: <Image source={require('../flagImages/jamaica.png')}/>,
        countryCode: '+1',
        country: 'Jamaica',
        isoCode: 'jm',
    },
    {
        flagIcon: <Image source={require('../flagImages/japan.png')}/>,
        countryCode: '+81',
        country: 'Japan',
        isoCode: 'jp',
    },
    {
        flagIcon: <Image source={require('../flagImages/jersey.png')}/>,
        countryCode: '+44',
        country: 'Jersey',
        isoCode: 'je',
    },
    {
        flagIcon: <Image source={require('../flagImages/jordan.png')}/>,
        countryCode: '+962',
        country: 'Jordan',
        isoCode: 'jo',
    },
    {
        flagIcon: <Image source={require('../flagImages/kazakhstan.png')}/>,
        countryCode: '+7',
        country: 'Kazakhstan',
        isoCode: 'kz',
    },
    {
        flagIcon: <Image source={require('../flagImages/kenya.png')}/>,
        countryCode: '+254',
        country: 'Kenya',
        isoCode: 'ke',
    },
    {
        flagIcon: <Image source={require('../flagImages/kiribati.png')}/>,
        countryCode: '+686',
        country: 'Kiribati',
        isoCode: 'ki',
    },
    {
        flagIcon: <Image source={require('../flagImages/kosovo.png')}/>,
        countryCode: '+383',
        country: 'Kosovo',
        isoCode: 'kv',
    },
    {
        flagIcon: <Image source={require('../flagImages/kuwait.png')}/>,
        countryCode: '+965',
        country: 'Kuwait',
        isoCode: 'kw',
    },
    {
        flagIcon: <Image source={require('../flagImages/kyrgyzstan.png')}/>,
        countryCode: '+996',
        country: 'Kyrgyzstan',
        isoCode: 'kg',
    },
    {
        flagIcon: <Image source={require('../flagImages/laos.png')}/>,
        countryCode: '+856',
        country: 'Laos',
        isoCode: 'la',
    },
    {
        flagIcon: <Image source={require('../flagImages/latvia.png')}/>,
        countryCode: '+371',
        country: 'Latvia',
        isoCode: 'lv',
    },
    {
        flagIcon: <Image source={require('../flagImages/lebanon.png')}/>,
        countryCode: '+961',
        country: 'Lebanon',
        isoCode: 'lb',
    },
    {
        flagIcon: <Image source={require('../flagImages/lesotho.png')}/>,
        countryCode: '+266',
        country: 'Lesotho',
        isoCode: 'ls',
    },
    {
        flagIcon: <Image source={require('../flagImages/liberia.png')}/>,
        countryCode: '+231',
        country: 'Liberia',
        isoCode: 'lr',
    },
    {
        flagIcon: <Image source={require('../flagImages/libya.png')}/>,
        countryCode: '+218',
        country: 'Libya',
        isoCode: 'ly',
    },
    {
        flagIcon: <Image source={require('../flagImages/liechtenstein.png')}/>,
        countryCode: '+423',
        country: 'Liechtenstein',
        isoCode: 'li',
    },
    {
        flagIcon: <Image source={require('../flagImages/lithuania.png')}/>,
        countryCode: '+370',
        country: 'Lithuania',
        isoCode: 'lt',
    },
    {
        flagIcon: <Image source={require('../flagImages/luxembourg.png')}/>,
        countryCode: '+352',
        country: 'Luxembourg',
        isoCode: 'lu',
    },
    {
        flagIcon: <Image source={require('../flagImages/macau-sar-china.png')}/>,
        countryCode: '+853',
        country: 'Macau SAR China',
        isoCode: 'mo',
    },
    {
        flagIcon: <Image source={require('../flagImages/macedonia.png')}/>,
        countryCode: '+389',
        country: 'Macedonia',
        isoCode: 'mk',
    },
    {
        flagIcon: <Image source={require('../flagImages/madagascar.png')}/>,
        countryCode: '+261',
        country: 'Madagascar',
        isoCode: 'mg',
    },
    {
        flagIcon: <Image source={require('../flagImages/malawi.png')}/>,
        countryCode: '+265',
        country: 'Malawi',
        isoCode: 'mw',
    },
    {
        flagIcon: <Image source={require('../flagImages/malaysia.png')}/>,
        countryCode: '+60',
        country: 'Malaysia',
        isoCode: 'my',
    },
    {
        flagIcon: <Image source={require('../flagImages/maldives.png')}/>,
        countryCode: '+960',
        country: 'Maldives',
        isoCode: 'mv',
    },
    {
        flagIcon: <Image source={require('../flagImages/mali.png')}/>,
        countryCode: '+223',
        country: 'Mali',
        isoCode: 'ml',
    },
    {
        flagIcon: <Image source={require('../flagImages/malta.png')}/>,
        countryCode: '+356',
        country: 'Malta',
        isoCode: 'mt',
    },
    {
        flagIcon: <Image source={require('../flagImages/marshall-island.png')}/>,
        countryCode: '+692',
        country: 'Marshall Islands',
        isoCode: 'mh',
    },
    {
        flagIcon: <Image source={require('../flagImages/martinique.png')}/>,
        countryCode: '+596',
        country: 'Martinique',
        isoCode: 'mq',
    },
    {
        flagIcon: <Image source={require('../flagImages/mauritania.png')}/>,
        countryCode: '+222',
        country: 'Mauritania',
        isoCode: 'mr',
    },
    {
        flagIcon: <Image source={require('../flagImages/mauritius.png')}/>,
        countryCode: '+230',
        country: 'Mauritius',
        isoCode: 'mu',
    },
    {
        flagIcon: <Image source={require('../flagImages/mayotte.png')}/>,
        countryCode: '+262',
        country: 'Mayotte',
        isoCode: 'yt',
    },
    {
        flagIcon: <Image source={require('../flagImages/mexico.png')}/>,
        countryCode: '+52',
        country: 'Mexico',
        isoCode: 'mx',
    },
    {
        flagIcon: <Image source={require('../flagImages/micronesia.png')}/>,
        countryCode: '+691',
        country: 'Micronesia',
        isoCode: 'fm',
    },
    {
        flagIcon: <Image source={require('../flagImages/moldova.png')}/>,
        countryCode: '+373',
        country: 'Moldova',
        isoCode: 'md',
    },
    {
        flagIcon: <Image source={require('../flagImages/monaco.png')}/>,
        countryCode: '+377',
        country: 'Monaco',
        isoCode: 'mc',
    },
    {
        flagIcon: <Image source={require('../flagImages/mongolia.png')}/>,
        countryCode: '+976',
        country: 'Mongolia',
        isoCode: 'mn',
    },
    {
        flagIcon: <Image source={require('../flagImages/montenegro.png')}/>,
        countryCode: '+382',
        country: 'Montenegro',
        isoCode: 'me',
    },
    {
        flagIcon: <Image source={require('../flagImages/montserrat.png')}/>,
        countryCode: '+1',
        country: 'Montserrat',
        isoCode: 'ms',
    },
    {
        flagIcon: <Image source={require('../flagImages/morocco.png')}/>,
        countryCode: '+212',
        country: 'Morocco',
        isoCode: 'ma',
    },
    {
        flagIcon: <Image source={require('../flagImages/mozambique.png')}/>,
        countryCode: '+258',
        country: 'Mozambique',
        isoCode: 'mz',
    },
    {
        flagIcon: <Image source={require('../flagImages/myanmar.png')}/>,
        countryCode: '+95',
        country: 'Myanmar',
        isoCode: 'mm',
    },
    {
        flagIcon: <Image source={require('../flagImages/namibia.png')}/>,
        countryCode: '+264',
        country: 'Namibia',
        isoCode: 'na',
    },
    {
        flagIcon: <Image source={require('../flagImages/nauru.png')}/>,
        countryCode: '+674',
        country: 'Nauru',
        isoCode: 'nr',
    },
    {
        flagIcon: <Image source={require('../flagImages/nepal.png')}/>,
        countryCode: '+977',
        country: 'Nepal',
        isoCode: 'np',
    },
    {
        flagIcon: <Image source={require('../flagImages/Netherlands.png')}/>,
        countryCode: '+31',
        country: 'Netherlands',
        isoCode: 'nl',
    },
    {
        flagIcon: <Image source={require('../flagImages/new-caledonia.png')}/>,
        countryCode: '+687',
        country: 'New Caledonia',
        isoCode: 'nc',
    },
    {
        flagIcon: <Image source={require('../flagImages/new-zealand.png')}/>,
        countryCode: '+64',
        country: 'New Zealand',
        isoCode: 'nz',
    },
    {
        flagIcon: <Image source={require('../flagImages/nicaragua.png')}/>,
        countryCode: '+505',
        country: 'Nicaragua',
        isoCode: 'ni',
    },
    {
        flagIcon: <Image source={require('../flagImages/niger.png')}/>,
        countryCode: '+227',
        country: 'Niger',
        isoCode: 'ne',
    },
    {
        flagIcon: <Image source={require('../flagImages/nigeria.png')}/>,
        countryCode: '+234',
        country: 'Nigeria',
        isoCode: 'ng',
    },
    {
        flagIcon: <Image source={require('../flagImages/niue.png')}/>,
        countryCode: '+683',
        country: 'Niue',
        isoCode: 'nu',
    },
    {
        flagIcon: <Image source={require('../flagImages/norfolk-island.png')}/>,
        countryCode: '+672',
        country: 'Norfolk Island',
        isoCode: 'nf',
    },
    {
        flagIcon: <Image source={require('../flagImages/north-korea.png')}/>,
        countryCode: '+850',
        country: 'North Korea',
        isoCode: 'kp',
    },
    {
        flagIcon: <Image source={require('../flagImages/northern-mariana-islands.png')}/>,
        countryCode: '+1',
        country: 'Northern Mariana Islands',
        isoCode: 'mp',
    },
    {
        flagIcon: <Image source={require('../flagImages/norway.png')}/>,
        countryCode: '+47',
        country: 'Norway',
        isoCode: 'no',
    },
    {
        flagIcon: <Image source={require('../flagImages/oman.png')}/>,
        countryCode: '+968',
        country: 'Oman',
        isoCode: 'om',
    },
    {
        flagIcon: <Image source={require('../flagImages/pakistan.png')}/>,
        countryCode: '+92',
        country: 'Pakistan',
        isoCode: 'pk',
    },
    {
        flagIcon: <Image source={require('../flagImages/palau.png')}/>,
        countryCode: '+680',
        country: 'Palau',
        isoCode: 'pw',
    },
    {
        flagIcon: <Image source={require('../flagImages/palestine.png')}/>,
        countryCode: '+970',
        country: 'Palestine',
        isoCode: 'ps',
    },
    {
        flagIcon: <Image source={require('../flagImages/panama.png')}/>,
        countryCode: '+507',
        country: 'Panama',
        isoCode: 'pa',
    },
    {
        flagIcon: <Image source={require('../flagImages/papua-new-guinea.png')}/>,
        countryCode: '+675',
        country: 'Papua New Guinea',
        isoCode: 'pg',
    },
    {
        flagIcon: <Image source={require('../flagImages/paraguay.png')}/>,
        countryCode: '+595',
        country: 'Paraguay',
        isoCode: 'py',
    },
    {
        flagIcon: <Image source={require('../flagImages/peru.png')}/>,
        countryCode: '+51',
        country: 'Peru',
        isoCode: 'pe',
    },
    {
        flagIcon: <Image source={require('../flagImages/philippines.png')}/>,
        countryCode: '+63',
        country: 'Philippines',
        isoCode: 'ph',
    },
    {
        flagIcon: <Image source={require('../flagImages/poland.png')}/>,
        countryCode: '+48',
        country: 'Poland',
        isoCode: 'pl',
    },
    {
        flagIcon: <Image source={require('../flagImages/portugal.png')}/>,
        countryCode: '+351',
        country: 'Portugal',
        isoCode: 'pt',
    },
    {
        flagIcon: <Image source={require('../flagImages/puerto-rico.png')}/>,
        countryCode: '+1',
        country: 'Puerto Rico',
        isoCode: 'pr',
    },
    {
        flagIcon: <Image source={require('../flagImages/qatar.png')}/>,
        countryCode: '+974',
        country: 'Qatar',
        isoCode: 'qa',
    },
    {
        flagIcon: <Image source={require('../flagImages/reunion.png')}/>,
        countryCode: '+262',
        country: 'Réunion',
        isoCode: 're',
    },
    {
        flagIcon: <Image source={require('../flagImages/romania.png')}/>,
        countryCode: '+40',
        country: 'Romania',
        isoCode: 'ro',
    },
    {
        flagIcon: <Image source={require('../flagImages/Rusia.png')}/>,
        countryCode: '+7',
        country: 'Russia',
        isoCode: 'ru',
    },
    {
        flagIcon: <Image source={require('../flagImages/rwanda.png')}/>,
        countryCode: '+250',
        country: 'Rwanda',
        isoCode: 'rw',
    },
    {
        flagIcon: <Image source={require('../flagImages/Saint_Barthelemy.png')}/>,
        countryCode: '+590',
        country: 'Saint Barthélemy',
        isoCode: 'bl',
    },
    {
        flagIcon: <Image source={require('../flagImages/Saint-Helena.png')}/>,
        countryCode: '+290',
        country: 'Saint Helena',
        isoCode: 'sh',
    },
    {
        flagIcon: <Image source={require('../flagImages/saint-kitts-and-nevis.png')}/>,
        countryCode: '+1',
        country: 'Saint Kitts and Nevis',
        isoCode: 'kn',
    },
    {
        flagIcon: <Image source={require('../flagImages/saint-lucia.png')}/>,
        countryCode: '+1',
        country: 'Saint Lucia',
        isoCode: 'lc',
    },
    {
        flagIcon: <Image source={require('../flagImages/Saint-Martin.png')}/>,
        countryCode: '+590',
        country: 'Saint Martin',
        isoCode: 'mf',
    },
    {
        flagIcon: <Image source={require('../flagImages/saint-pierre-and-miquelon.png')}/>,
        countryCode: '+508',
        country: 'Saint Pierre and Miquelon',
        isoCode: 'pm',
    },
    {
        flagIcon: <Image source={require('../flagImages/saint-vincent-and-the-grenadines.png')}/>,
        countryCode: '+1',
        country: 'Saint Vincent and the Grenadines',
        isoCode: 'vc',
    },
    {
        flagIcon: <Image source={require('../flagImages/samoa.png')}/>,
        countryCode: '+685',
        country: 'Samoa',
        isoCode: 'ws',
    },
    {
        flagIcon: <Image source={require('../flagImages/san-marino.png')}/>,
        countryCode: '+378',
        country: 'San Marino',
        isoCode: 'sm',
    },
    {
        flagIcon: <Image source={require('../flagImages/sao-tome-and-prince.png')}/>,
        countryCode: '+239',
        country: 'São Tomé and Príncipe',
        isoCode: 'st',
    },
    {
        flagIcon: <Image source={require('../flagImages/saudi-arabia.png')}/>,
        countryCode: '+966',
        country: 'Saudi Arabia',
        isoCode: 'sa',
    },
    {
        flagIcon: <Image source={require('../flagImages/senegal.png')}/>,
        countryCode: '+221',
        country: 'Senegal',
        isoCode: 'sn',
    },
    {
        flagIcon: <Image source={require('../flagImages/serbia.png')}/>,
        countryCode: '+381',
        country: 'Serbia',
        isoCode: 'rs',
    },
    {
        flagIcon: <Image source={require('../flagImages/seychelles.png')}/>,
        countryCode: '+248',
        country: 'Seychelles',
        isoCode: 'sc',
    },
    {
        flagIcon: <Image source={require('../flagImages/sierra-leone.png')}/>,
        countryCode: '+232',
        country: 'Sierra Leone',
        isoCode: 'sl',
    },
    {
        flagIcon: <Image source={require('../flagImages/singapore.png')}/>,
        countryCode: '+65',
        country: 'Singapore',
        isoCode: 'sg',
    },
    {
        flagIcon: <Image source={require('../flagImages/sint-maarten.png')}/>,
        countryCode: '+1',
        country: 'Sint Maarten',
        isoCode: 'sx',
    },
    {
        flagIcon: <Image source={require('../flagImages/slovakia.png')}/>,
        countryCode: '+421',
        country: 'Slovakia',
        isoCode: 'sk',
    },
    {
        flagIcon: <Image source={require('../flagImages/slovenia.png')}/>,
        countryCode: '+386',
        country: 'Slovenia',
        isoCode: 'si',
    },
    {
        flagIcon: <Image source={require('../flagImages/solomon-islands.png')}/>,
        countryCode: '+677',
        country: 'Solomon Islands',
        isoCode: 'sb',
    },
    {
        flagIcon: <Image source={require('../flagImages/somalia.png')}/>,
        countryCode: '+252',
        country: 'Somalia',
        isoCode: 'so',
    },
    {
        flagIcon: <Image source={require('../flagImages/south-africa.png')}/>,
        countryCode: '+27',
        country: 'South Africa',
        isoCode: 'za',
    },
    {
        flagIcon: <Image source={require('../flagImages/south-korea.png')}/>,
        countryCode: '+82',
        country: 'South Korea',
        isoCode: 'kr',
    },
    {
        flagIcon: <Image source={require('../flagImages/south-sudan.png')}/>,
        countryCode: '+211',
        country: 'South Sudan',
        isoCode: 'ss',
    },
    {
        flagIcon: <Image source={require('../flagImages/spain.png')}/>,
        countryCode: '+34',
        country: 'Spain',
        isoCode: 'es',
    },
    {
        flagIcon: <Image source={require('../flagImages/sri-lanka.png')}/>,
        countryCode: '+94',
        country: 'Sri Lanka',
        isoCode: 'lk',
    },
    {
        flagIcon: <Image source={require('../flagImages/sudan.png')}/>,
        countryCode: '+249',
        country: 'Sudan',
        isoCode: 'sd',
    },
    {
        flagIcon: <Image source={require('../flagImages/suriname.png')}/>,
        countryCode: '+597',
        country: 'Suriname',
        isoCode: 'sr',
    },
    {
        flagIcon: <Image source={require('../flagImages/Svalbard_and_Jan_Mayen.png')}/>,
        countryCode: '+47',
        country: 'Svalbard and Jan Mayen',
        isoCode: 'sj',
    },
    {
        flagIcon: <Image source={require('../flagImages/swaziland.png')}/>,
        countryCode: '+268',
        country: 'Swaziland',
        isoCode: 'sz',
    },
    {
        flagIcon: <Image source={require('../flagImages/sweden.png')}/>,
        countryCode: '+46',
        country: 'Sweden',
        isoCode: 'se',
    },
    {
        flagIcon: <Image source={require('../flagImages/switzerland.png')}/>,
        countryCode: '+41',
        country: 'Switzerland',
        isoCode: 'ch',
    },
    {
        flagIcon: <Image source={require('../flagImages/syria.png')}/>,
        countryCode: '+963',
        country: 'Syria',
        isoCode: 'sy',
    },
    {
        flagIcon: <Image source={require('../flagImages/taiwan.png')}/>,
        countryCode: '+886',
        country: 'Taiwan',
        isoCode: 'tw',
    },
    {
        flagIcon: <Image source={require('../flagImages/tajikistan.png')}/>,
        countryCode: '+992',
        country: 'Tajikistan',
        isoCode: 'tj',
    },
    {
        flagIcon: <Image source={require('../flagImages/tanzania.png')}/>,
        countryCode: '+255',
        country: 'Tanzania',
        isoCode: 'tz',
    },
    {
        flagIcon: <Image source={require('../flagImages/thailand.png')}/>,
        countryCode: '+66',
        country: 'Thailand',
        isoCode: 'th',
    },
    {
        flagIcon: <Image source={require('../flagImages/timor-leste.png')}/>,
        countryCode: '+670',
        country: 'Timor-Leste',
        isoCode: 'tl',
    },
    {
        flagIcon: <Image source={require('../flagImages/togo.png')}/>,
        countryCode: '+228',
        country: 'Togo',
        isoCode: 'tg',
    },
    {
        flagIcon: <Image source={require('../flagImages/tokelau.png')}/>,
        countryCode: '+690',
        country: 'Tokelau',
        isoCode: 'tk',
    },
    {
        flagIcon: <Image source={require('../flagImages/tonga.png')}/>,
        countryCode: '+676',
        country: 'Tonga',
        isoCode: 'to',
    },
    {
        flagIcon: <Image source={require('../flagImages/trinidad-and-tobago.png')}/>,
        countryCode: '+1',
        country: 'Trinidad and Tobago',
        isoCode: 'tt',
    },
    {
        flagIcon: <Image source={require('../flagImages/tunisia.png')}/>,
        countryCode: '+216',
        country: 'Tunisia',
        isoCode: 'tn',
    },
    {
        flagIcon: <Image source={require('../flagImages/turkey.png')}/>,
        countryCode: '+90',
        country: 'Turkey',
        isoCode: 'tr',
    },
    {
        flagIcon: <Image source={require('../flagImages/turkmenistan.png')}/>,
        countryCode: '+993',
        country: 'Turkmenistan',
        isoCode: 'tm',
    },
    {
        flagIcon: <Image source={require('../flagImages/turks-and-caicos.png')}/>,
        countryCode: '+1',
        country: 'Turks and Caicos Islands',
        isoCode: 'tc',
    },
    {
        flagIcon: <Image source={require('../flagImages/tuvalu.png')}/>,
        countryCode: '+688',
        country: 'Tuvalu',
        isoCode: 'tv',
    },
    {
        flagIcon: <Image source={require('../flagImages/us-virgin-islands.png')}/>,
        countryCode: '+1',
        country: 'U.S Virgin Islands',
        isoCode: 'vi',
    },
    {
        flagIcon: <Image source={require('../flagImages/uganda.png')}/>,
        countryCode: '+256',
        country: 'Uganda',
        isoCode: 'ug',
    },
    {
        flagIcon: <Image source={require('../flagImages/ukraine.png')}/>,
        countryCode: '+380',
        country: 'Ukraine',
        isoCode: 'ua',
    },
    {
        flagIcon: <Image source={require('../flagImages/united-arab-emirates.png')}/>,
        countryCode: '+971',
        country: 'United Arab Emirates',
        isoCode: 'ae',
    },
    {
        flagIcon: <Image source={require('../flagImages/united-kingdom.png')}/>,
        countryCode: '+44',
        country: 'United Kingdom',
        isoCode: 'gb',
    },
    {
        flagIcon: <Image source={require('../flagImages/united-states.png')}/>,
        countryCode: '+1',
        country: 'United States',
        isoCode: 'us',
    },
    {
        flagIcon: <Image source={require('../flagImages/uruguay.png')}/>,
        countryCode: '+598',
        country: 'Uruguay',
        isoCode: 'uy',
    },
    {
        flagIcon: <Image source={require('../flagImages/uzbekistan.png')}/>,
        countryCode: '+998',
        country: 'Uzbekistan',
        isoCode: 'uz',
    },
    {
        flagIcon: <Image source={require('../flagImages/vanuatu.png')}/>,
        countryCode: '+678',
        country: 'Vanuatu',
        isoCode: 'vu',
    },
    {
        flagIcon: <Image source={require('../flagImages/vatican-city.png')}/>,
        countryCode: '+379',
        country: 'Vatican City',
        isoCode: 'va',
    },
    {
        flagIcon: <Image source={require('../flagImages/venezuela.png')}/>,
        countryCode: '+58',
        country: 'Venezuela',
        isoCode: 've',
    },
    {
        flagIcon: <Image source={require('../flagImages/vietnam.png')}/>,
        countryCode: '+84',
        country: 'Vietnam',
        isoCode: 'vn',
    },
    {
        flagIcon: <Image source={require('../flagImages/wallis-and-futuna.png')}/>,
        countryCode: '+681',
        country: 'Wallis and Futuna',
        isoCode: 'wf',
    },
    {
        flagIcon: <Image source={require('../flagImages/yemen.png')}/>,
        countryCode: '+967',
        country: 'Yemen',
        isoCode: 'ye',
    },
    {
        flagIcon: <Image source={require('../flagImages/zambia.png')}/>,
        countryCode: '+260',
        country: 'Zambia',
        isoCode: 'zm',
    },
    {
        flagIcon: <Image source={require('../flagImages/zimbabwe.png')}/>,
        countryCode: '+263',
        country: 'Zimbabwe',
        isoCode: 'zw',
    },
];
