import React from 'react';
import { BaseProps } from '../types';
export declare type Variants = 'brand' | 'success' | 'warning' | 'error';
export declare type Shape = 'linear' | 'semicircular';
interface Props extends BaseProps {
    variant?: Variants;
    shape?: Shape;
    value?: number;
    min?: number;
    max?: number;
}
/**
 * ProgressBar component communicates to the user the progress of a particular process.
 */
declare const ProgressBar: React.FC<Props>;
export default ProgressBar;
