/// <reference types="styled-components-react-native" />
/// <reference types="react" />
import { BaseProps } from '../../types';
import { Size } from '../types';
interface Props extends BaseProps {
    isActive?: boolean;
    variant?: string;
    isFullWidth?: boolean;
    disabled?: boolean;
    optionsLength?: number;
    activeIndex?: number;
}
export declare const StyledSegmentedControlContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, Props, never>;
export declare const StyledSegmentedControlLabel: import("styled-components").StyledComponent<import("react").ComponentType<any>, import("styled-components").DefaultTheme, any, string | number | symbol>;
export declare const StyledSegmentedControlOptionsWrapper: import("styled-components").StyledComponent<import("react").ComponentType<any>, import("styled-components").DefaultTheme, any, string | number | symbol>;
interface OptionProps extends Props {
    size: Size;
}
export declare const StyledOption: import("styled-components").StyledComponent<typeof import("react-native").TouchableOpacity, import("styled-components").DefaultTheme, OptionProps, never>;
export declare const StyledOptionText: import("styled-components").StyledComponent<typeof import("react-native").Text, import("styled-components").DefaultTheme, Props, never>;
export declare const StyledBg: import("styled-components").StyledComponent<import("react").ComponentType<any>, import("styled-components").DefaultTheme, any, string | number | symbol>;
export {};
