import React from 'react';
import { SpinnerSize, SpinnerVariant } from './types';
interface Props {
    isVisible?: boolean;
    size?: SpinnerSize;
    variant?: SpinnerVariant;
}
/**
 * Spinners should be shown when retrieving data or performing slow,
 * help to reassure the user that the system is actively retrieving data.
 */
declare const Spinner: React.FC<Props>;
export default Spinner;
